.product-details {
  margin-top: 1%;
  max-width: 1600px;
  margin-bottom: 2%;
}

    .product-details .keen-slider img, .product-details .keen-slider .main-image {
        height: 100%;
        width: 100%;
        object-fit: contain;
        transition: 0.2s;
        
    }

    .product-details .keen-slider .main-image {
        padding-top: 30px;
        max-height: 77dvh;
    }

    .product-details .keen-slider .main-video {
        height: calc(100% - 30px);
        width: 100%;
        object-fit: contain;
        transition: 0.2s;
        padding: 5px;
        justify-self: end;
        margin-top: 30px;
    }

        .youtubeThumbnail img {
            filter: none !important;
            object-fit: cover !important;
        }

    .youtubeThumbnail img:hover {
        transform: scale(1.05) !important;
    }

.youtubeThumbnail {
    position: relative;
}

    .youtubeThumbnail::after {
        content: '';
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 90px;
        height: 90px;
        background-image: url('data:image/svg+xml,<svg width="205px" height="205px" viewBox="-2.4 -2.4 52.80 52.80" xmlns="http://www.w3.org/2000/svg" fill="%23ff6626" stroke="%23ff6626" transform="rotate(0)matrix(1, 0, 0, 1, 0, 0)" stroke-width="0.00048000000000000007"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round" stroke="%23CCCCCC" stroke-width="0.096"></g><g id="SVGRepo_iconCarrier"><title>play-circle</title><g id="Layer_2" data-name="Layer 2"><g id="invisible_box" data-name="invisible box"><rect width="48" height="48" fill="none"></rect></g><g id="icons_Q2" data-name="icons Q2"><g><path d="M34.6,23.3,18.1,13.2c-.6-.4-1.1-.1-1.1.6V34.2c0,.7.5,1,1.1.6L34.6,24.7A.8.8,0,0,0,34.6,23.3Z"></path><path d="M24,2A22,22,0,1,0,46,24,21.9,21.9,0,0,0,24,2Zm0,40A18,18,0,1,1,42,24,18.1,18.1,0,0,1,24,42Z"></path></g></g></g></g></svg>');
        background-size: contain;
        background-repeat: no-repeat;
        pointer-events: none;
        filter: drop-shadow(2px 2px 2px black);
    }


.product-details .image-wrapper {
    position: sticky;
    top: -5px;
}

@media (min-width: 992px) {
  #thumbnails img {
    filter: drop-shadow(0 10px 5px #000);
  }
}

@media (min-width: 992px) {
  #my-keen-slider img {
    filter: drop-shadow(0 10px 10px #000);
  }
}

#my-keen-slider {
  background: radial-gradient(#484848 0%, rgba(128,128,128,0) 69%);
  margin-bottom: 11px;
}

#thumbnails {
    padding-left: 5px;
}


.thumbnail .keen-slider__slide {
    aspect-ratio: 1;
    cursor: pointer;
    background: #313131;
    margin-top: 10px;
    margin-bottom: 10px;
    box-shadow: 0px 4px 10px rgba(0,0,0,0.73);
    border-radius: 5px;
    z-index: 1;
    margin-left: 0px;
    margin-right: -2.5px;
}




.thumbnail .pseudo {
  opacity: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.thumbnail .keen-slider__slide.active {
  border: 0.5px solid #ff8126;
}

.thumbnail .keen-slider__slide.active .pseudo {
  background: -webkit-gradient(linear, left top, left bottom, color-stop(50%, rgb(49,49,49)), to(rgba(255,129,38,0.39)));
  background: linear-gradient(rgb(49,49,49) 50%, rgba(255,129,38,0.39));
  opacity: 1;
  -webkit-transition: opacity 0.4s;
  transition: opacity 0.4s;
}

.thumbnail .keen-slider__slide img:hover {
  transform: translateY(-5px);
}

/*CLS FIX*/
#my-keen-slider.starting {
    position: relative;
    width: 100%;
}

#my-keen-slider.starting .keen-slider__slide {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
}
    #my-keen-slider.starting .keen-slider__slide:first-child {
        opacity: 1;
        position: relative;
    }

    /* Thumbnails before init */
    #thumbnails.starting {
        gap: 10px;
    }

.thumbnail.starting .keen-slider__slide {
    width: 25%;
    margin-inline-start: auto;
}

        #thumbnails.starting .keen-slider__slide:nth-child(n+5) {
            display: none;
        }
/*CLS FIX*/



@media (min-width: 992px) {
    .product-details .col:nth-child(1) {
    width: 50%;
    padding-inline-end: 1%;
  }
}

@media (min-width: 992px) {
  .product-details .col:nth-child(2) {
    padding-bottom: 8px;
    margin-top: 2%;
  }
}

.product-details .divider {
  width: 1px;
  height: 100%;
  background: var(--bs-light-bg-subtle);
  display: none;
  margin-inline-end: 3%;
}

.product-details .data .productTitle {
    font-size: 2.5em;
    text-shadow: 0px 0px 11px rgba(255,103,39,0.6), 0px 3px 10px rgb(0,0,0);
    margin-bottom: 6px;
}

.product-details .tagcol .tag {
    height: 27px;
    padding-right: 10px;
    padding-left: 10px;
    margin-inline-end: 10px;
    pointer-events: none;
    background: #ff4656;
    -webkit-box-shadow: 0px 0px 5px;
    box-shadow: 0px 0px 5px;
    border-radius: 4px;
    margin-bottom: 10px;
    margin-top: 10px;
    font-size: 0.8em;
}

/* VARIANT PART */

.product-details .variant-row > p {
    font-size: 1.5em;
    margin-bottom: 0;
    color: rgb(115,115,115);
    font-family: 'Oswald';
}

.product-details .variant {
  position: relative;
  padding-right: 9px;
  padding-left: 9px;
  padding-top: 4px;
  padding-bottom: 3px;
  margin-right: 10px;
  margin-bottom: 10px;
  border-radius: 4px;
  border-width: 1px;
  border-style: solid;
  cursor: pointer;
  transition: 0.1s;
  margin-top: 10px;
  background: #2b2b2b;
}

.product-details .variant:hover {
  transform: translateY(-1px);
}

.product-details .variant p {
  margin-bottom: 0;
}

.product-details .selected {
  border-color: #ff6626;
  color: #ff6626;
  background: transparent;
}

.product-details .modifier {
  border-style: dashed;
}

.product-details .blocked {
  border-style: solid;
  pointer-events: none;
  border-color: #5b5b5b;
  color: #5b5b5b;
  background: transparent;
}

/* VARIANT PART ENDED */

#stock {
  margin-bottom: 16px;
}

#stock {
  color: #43c548;
}

.product-details.OutofStock #stock {
  
  color: #c54b43;
}

.product-details.discount .discountbox p {
  display: flex;
  background-color: #b3000f;
  padding-right: 5px;
  padding-left: 5px;
  font-size: 1.0em;
  height: 30px;
  align-items:center;
  letter-spacing: -0.6px;
  
}

.product-details .pricetag p {
  font-size: 1.91em;
  letter-spacing: 0.5px;
  text-align: end;
  margin-bottom: 0px;
}

.product-details .mainprice {
    margin-top: -5px;
    margin-bottom: 14px !important;
}

.product-details .pricetag .beforediscount, .product-details .discountbox p {
  display: none;
}

.product-details.discount .beforediscount {
    display: flex;
    color: #ff2133;
    font-size: 1.3em;
    align-items: baseline;
    margin-left: 10px;
}

.product-details.discount .beforediscount .price {
    text-decoration: underline;
    text-underline-offset: -50%;
    text-decoration-skip-ink: none;
}

.addtocart {
  background: #ff6626;
  border-style: none;
  height: 46.9704px;
  width: 100%;
  letter-spacing: 2px;
  font-family: Oswald, sans-serif;
  font-size: 18px;
  color: #000000;
  font-weight: bold;
  border-radius: 2px;
  transition: 0.2s;
  margin-inline-end: 15px;
  max-width: 300px;
}



.addtocart:active {
  scale: 0.98;
}

.product-details.OutofStock .addtocart {
  background: #848484;
  pointer-events: none;
}



#quantity {
    font-size: 1.5em;
    font-family: Oswald, sans-serif;
    text-align: center;
    margin-bottom: 0;
    border: 1px solid #595959;
    pointer-events: none;
    border-radius: 5px;
    width: clamp(50px,6vw,80px);
}

.product-details .SKU p:first-child {
    margin-top: 10px;
    font-size: 1em;
    margin-inline-end: 5px;
    margin-bottom: 0px;
    font-family: Rubik, sans-serif;
    font-weight: 100;
    color: dimgray;
    text-transform: uppercase;
}

.product-details .SKU p:last-child {
    margin-bottom: 0;
    font-size: 1em;
    text-shadow: none;
    text-transform: unset;
    font-weight: 100 !important;
    color: dimgray;
}

.product-details .Link p:first-child {
    margin-top: 10px;
    font-size: 1em;
    margin-inline-end: 5px;
    margin-bottom: 0px;
    font-family: Rubik, sans-serif;
    font-weight: 100;
    color: dimgray;
    text-transform: uppercase;
    white-space:nowrap
}

.product-details .Link p:last-child  {
    margin-bottom: 0;
    font-size: 1em;
    text-shadow: none;
    color: dimgray;
}

.product-details .description {
    margin-top: 20px;
    margin-bottom: 16px;
    color: 
}

    .product-details .description img, .product-details .description video, .product-details .description iframe {
        max-width: 100% !important;
    }

.product-details #description-title {
    font-family: 'Oswald';
    text-transform: uppercase;
    font-size: 1.7em;
    margin-bottom: 16px;
}


.product-details .brand img {
    height: 40px !important;
}

.product-details .brand p {
  margin-bottom: 0;
}

/* SPECIFICATION */

.product-details .specification {
    margin-top: 10px;
    margin-bottom: 0px;
    font-family: Rubik, sans-serif;
    width: 100%;
}

    .product-details .specification p:first-child {
        font-size: 1.7em;
        font-family: 'Oswald';
        margin-bottom: 5px;
        text-transform: uppercase;
    }

.product-details .varaint-place hr {
    margin-top: 10px;
    margin-bottom: 10px;
    color: #333333;
    opacity: 1;
}

    .product-details hr {
        margin-top: 0px;
        margin-bottom: 10px;
        color: OrangeRed;
        opacity: 1;
    }

    .product-details .specification tr {
        display: flex;
        flex-grow: 1;
    }

.product-details .specification td:first-child {
    color: rgb(125, 125, 125);
    width: 60%;
    white-space: wrap;
}

.product-details .specification td:last-child {
    width: 45%;
    white-space: wrap;
}

.product-details .specification .build td:first-child {
    color: rgb(125, 125, 125);
    width: 30% !important;
    white-space: wrap;
}

.product-details .specification .build td:last-child {
    width: 70% !important;
    white-space: wrap;
}


    .product-details .specification td {

        border-style: none;
        display: flex;
        flex-grow: 1;
        align-items: center;
        text-align: start;
        text-wrap: nowrap;
        padding-inline-start: 30px;
    }

@media (max-width: 992px) {

    .product-details .specification td:first-child {
        color: rgb(125, 125, 125);
        width: 70%;
        font-size: 0.8em;
    }

    .product-details .specification td:last-child {
        width: 45%;
        font-size: 0.8em;
    }


    .product-details .specification td {
        padding-inline-start: 10px;
    }
}


/* RESPONSIVE */

@media (min-width: 1200px) {
  .product-details {
    padding-left: 4vw;
    padding-right: 4vw;
  }
}


/* Zoom Modal */

.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    inset: 0;
    opacity: 0;
    background-color: rgba(0,0,0,0.8);
    backdrop-filter: blur(5px);
    justify-content: center;
    align-items: center;
    overflow: hidden;
    animation: fadeIn 0.2s forwards;
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.98);
    }

    to {
        opacity: 1;
        transform: scale(1);
    }
}



.modal-content-wrapper {
    max-width: 90%;
    max-height: 90%;
    position: relative;
    touch-action: none;
}

#zoomImage {
    transform-origin: center center;
    max-width: 90vw;
    max-height: 90vh;
    user-select: none;
    transition: all 0.10s ease-out;
    cursor: zoom-in;
    will-change: transform; 
    backface-visibility: hidden; 
    image-rendering: -webkit-optimize-contrast; 
}


.modal .close {
    position: absolute;
    bottom: 20px;
    right: auto;
    left: auto;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    z-index: 1001;
}

#imageModal {
    touch-action: none;
}

#imageModal button {
    border: none;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    background: none;
    font-size: 50px;
    height: clamp(70px,5vw,80px);
    width: clamp(70px,5vw,80px);
    cursor: pointer;
    font-family: math;
    background-color: rgba(0, 0, 0, 0.52);
    color: white;
    border-radius: 50%;
}

#imageModal .next-btn {
    bottom: 20px;
    right: auto;
    margin-left: 200px;
    z-index: 1001;
    
}

#imageModal .prev-btn {
    left: auto;
    bottom: 20px;
    margin-right: 200px;
    z-index: 1001;
}

@media (max-width: 992px) {
    #imageModal .next-btn {
        margin-left: 150px;
    }
    #imageModal .prev-btn {
        margin-right: 150px;
    }
}

.tax {
    font-size: 12px;
    color: #9a9a9a;
    margin-inline-end: 5px
}

.breadcrumb {
    margin-top: 0px;
    margin-bottom: 0px;
    margin-inline-start: 20px
}

@media (max-width: 991px) {
    .breadcrumb {
        margin-top: 16px;
        margin-bottom: 0px;
        margin-inline-start: 6px;
        font-size: 14px;
    }

        .breadcrumb svg {
            margin-left: 7px;
            margin-right: 7px;
            font-size: 20px;
        }
}

.content-iframe {
    width: 100%;
    border: none;
    overflow: auto;
}

tamara-widget {
    display: block;
    margin-bottom: 20px
}